========
Examples
========

This directory contains examples of data sets on which ProCARs can be run. You will find two
different examples: a fictive data set, and a real data set.


Fictive_data
============

Data set description
--------------------

This data set is composed of 5 genomes (A, B, C, D and E) with 8 synteny blocks.

You will find in this directory a species tree called *tree.ph*, and a block file called
*orthology_blocks.txt*. This data set corresponds to the example given in the paper's method part
(see species tree in Figure 1, corresponding to *tree.ph*).

Run data set
------------

To run this data set from the *Examples* directory (if you previously installed ProCARs)::

    procars_main --tf=Fictive_data/tree.ph --bf=Fictive_data/orthology_blocks.txt -r Fictive_data/results

If you did not install ProCARs, run::

    PYTHONPATH+=.. python ../bin/procars_main --tf=Fictive_data/tree.ph --bf=Fictive_data/orthology_blocks.txt -r Fictive_data/results

Boreoeutherian_ancestor
=======================

Data set description
--------------------

This data set is used to compute a set of CARs for the Boreoeutherian ancestral
genome using the gene orders of twelve amniote genomes.

We chose those twelve genomes assembled and present in a Pecan multiple alignement of 20 amniote genomes available
in the release 73 of the Ensembl Compara database. The phylogenetic tree (*tree_boreoeutherian_ancestor.ph*)
was obtained from the National Center for Biotechnology Information taxonomy.

We constructed a set of synteny blocks (*orthology_blocks.txt*) using the
multiple alignements as seeds. This resulted in a set of 12 genomes made of 689 blocks for species
*Homo sapiens*, *Pan troglodytes*, *Pongo abelii*, *Macaca mulatta*, *Mus musculus*,
*Rattus norvegicus*, *Equus caballus*, *Canis familiaris*, *Bos taurus*, *Monodelphis domestica*,
*Gallus gallus* and *Taeniopygia guttata*.

Run data set
------------

To run this data set from the *Examples* directory (if you previously installed ProCARs)::

    procars_main --tf=Boreoeutherian_ancestor/tree_boreoeutherian_ancestor.ph --bf=Boreoeutherian_ancestor/orthology_blocks.txt -r Boreoeutherian_ancestor/results

If you did not install ProCARs, run::

    PYTHONPATH+=.. python ../bin/procars_main --tf=Boreoeutherian_ancestor/tree_boreoeutherian_ancestor.ph --bf=Boreoeutherian_ancestor/orthology_blocks.txt -r Boreoeutherian_ancestor/results
